/*
   Copyright (c) 2001 Malte Starostik <malte@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

#ifndef _GRAMMAR_H_
#define _GRAMMAR_H_
typedef union
{
	QString *string;
	QStringList *strings;
	Config::Node *node;
	Config::NodeList *list;
	Config::VariableList *deps;
	Config::ExpressionNode *expr;
} YYSTYPE;
#define	NOT	257
#define	EQ	258
#define	NEQ	259
#define	OR	260
#define	AND	261
#define	MAINMENU_NAME	262
#define	COMMENT	263
#define	TEXT	264
#define	BOOL	265
#define	HEX	266
#define	INT	267
#define	STRING	268
#define	TRISTATE	269
#define	DEFINE_BOOL	270
#define	DEFINE_HEX	271
#define	DEFINE_INT	272
#define	DEFINE_STRING	273
#define	DEFINE_TRISTATE	274
#define	DEP_BOOL	275
#define	DEP_MBOOL	276
#define	DEP_HEX	277
#define	DEP_INT	278
#define	DEP_STRING	279
#define	DEP_TRISTATE	280
#define	UNSET	281
#define	CHOICE	282
#define	IF	283
#define	THEN	284
#define	ELSE	285
#define	FI	286
#define	MAINMENU_OPTION	287
#define	NEXT_COMMENT	288
#define	ENDMENU	289
#define	UNQUOTED	290
#define	SINGLE_QUOTED	291
#define	DOUBLE_QUOTED	292
#define	ERROR	293

#endif
